org.apache.tomcat.util.net

## Interface SSLContext

- All Known Implementing Classes:
    OpenSSLContext

      public interface SSLContext

  This interface is needed to override the default SSLContext class to allow SSL implementation pluggability without having to use JCE. With regular JSSE it will do nothing but delegate to the SSLContext.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SSLEngine` | `createSSLEngine()`
    `void` | `destroy()`
    `SSLSessionContext` | `getServerSessionContext()`
    `SSLServerSocketFactory` | `getServerSocketFactory()`
    `SSLParameters` | `getSupportedSSLParameters()`
    `void` | `init(KeyManager[] kms, TrustManager[] tms, SecureRandom sr)`

- - ### Method Detail

    - #### init

          void init(KeyManager[] kms,
                  TrustManager[] tms,
                  SecureRandom sr)
                    throws KeyManagementException

      Throws:
        `KeyManagementException`

    - #### destroy

          void destroy()

    - #### getServerSessionContext

          SSLSessionContext getServerSessionContext()

    - #### createSSLEngine

          SSLEngine createSSLEngine()

    - #### getServerSocketFactory

          SSLServerSocketFactory getServerSocketFactory()

    - #### getSupportedSSLParameters

          SSLParameters getSupportedSSLParameters()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.